# Gridify (A Modern Dynamic LINQ library)

![GitHub](https://img.shields.io/github/license/alirezanet/gridify) ![Nuget](https://img.shields.io/nuget/dt/gridify?color=%239100ff) ![Nuget](https://img.shields.io/nuget/v/gridify?label=stable) ![Nuget (with prereleases)](https://img.shields.io/nuget/vpre/gridify?label=latest)
[![NuGet version (Gridify)](https://img.shields.io/nuget/v/Gridify.svg?style=flat-square)](https://www.nuget.org/packages/Gridify/)

[![Gridify](https://alirezanet.github.io/Gridify/gridify-readme-logo.svg)](https://alirezanet.github.io/Gridify/)

## Introduction

Gridify is a dynamic LINQ library that converts your string to a LINQ query in the easiest way possible with excellent performance. it also, introduces an easy way to apply Filtering, Sorting and Pagination using text-based data.

## Features

- It's Fast and easy to use
- Supports filtering, sorting, and pagination
- Supports `string` to LINQ conversion
- Supports nested queries and sub-collections
- Supports `string` to `object` mapping
- Supports query compilation
- Supports collection indexes
- Custom Operators
- Compatible with ORMs specially Entity Framework
- Can be used on every collection that LINQ supports
- Compatible with Object-mappers like AutoMapper

## Documentation

Check out our docs at [https://alirezanet.github.io/Gridify/](https://alirezanet.github.io/Gridify/).

## Articles / Examples
- [Using Gridify in the api controllers](https://alirezanet.github.io/Gridify/example/api-controller.html#using-gridify-in-api-controllers)
- [Trabajando con filtros dinámicos usando Gridify en .NET](https://henriquemauri.net/trabalhando-com-filtros-dinamicos-utilizando-o-gridify-no-net/) by [@Henrique Mauri](https://github.com/hgmauri) (Spanish)
- [<span dir="rtl" align="right">آشنایی با Gridify</span>](https://www.dntips.ir/post/3345/%d8%a2%d8%b4%d9%86%d8%a7%db%8c%db%8c-%d8%a8%d8%a7-gridify) (Persian)
- Comming soon

## Want to support us?

-  Don't forget to give a ⭐ to this repo on GitHub!
-  Share your feedback and ideas to improve the library!
-  Share the library on your favorite social media and your friends!
-  Help us to improve the documentation!

## Contribution

Feel free to send us a pull request!

Check out the [Contribution Page](https://alirezanet.github.io/Gridify/contribution)

## License

[MIT](https://github.com/alirezanet/gridify/blob/master/LICENSE)
